/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.lightinit.hsdatagateway.modules.gateway.entity;

import com.lightinit.hsdatagateway.common.persistence.DataEntity;
import org.hibernate.validator.constraints.Length;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import com.lightinit.hsdatagateway.common.persistence.DataEntity;

/**
 * 路由管理Entity
 * @Author yangrui
 * @version 2019-03-05
 */
public class BizRoute extends DataEntity<BizRoute> {
	
	private static final long serialVersionUID = 1L;
	private String routeId;		// 路由ID
	private String routeName;		// 路由名称
	private String routeStatus;		// 路由状态
	private String contextPath;		// 上下文路径
	private String mappingUrl;		// 映射URL
	private String remark;		// 备注
	private Date createdAt;		// 创建时间
	private String createdBy;		// 创建人
	private Date deletedAt;		// 删除时间
	private String deletedBy;		// 删除人
	
	public BizRoute() {
		super();
	}

	public BizRoute(Long id){
		super(id);
	}

	@Length(min=1, max=255, message="路由ID长度必须介于 1 和 255 之间")
	public String getRouteId() {
		return routeId;
	}

	public void setRouteId(String routeId) {
		this.routeId = routeId;
	}
	
	@Length(min=0, max=255, message="路由名称长度必须介于 0 和 255 之间")
	public String getRouteName() {
		return routeName;
	}

	public void setRouteName(String routeName) {
		this.routeName = routeName;
	}
	
	@Length(min=0, max=64, message="路由状态长度必须介于 0 和 64 之间")
	public String getRouteStatus() {
		return routeStatus;
	}

	public void setRouteStatus(String routeStatus) {
		this.routeStatus = routeStatus;
	}
	
	@Length(min=0, max=255, message="上下文路径长度必须介于 0 和 255 之间")
	public String getContextPath() {
		return contextPath;
	}

	public void setContextPath(String contextPath) {
		this.contextPath = contextPath;
	}
	
	public String getMappingUrl() {
		return mappingUrl;
	}

	public void setMappingUrl(String mappingUrl) {
		this.mappingUrl = mappingUrl;
	}
	
	@Length(min=0, max=255, message="备注长度必须介于 0 和 255 之间")
	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}
	
	@Length(min=0, max=255, message="创建人长度必须介于 0 和 255 之间")
	public String getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(String createdBy) {
		this.createdBy = createdBy;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	public Date getDeletedAt() {
		return deletedAt;
	}

	public void setDeletedAt(Date deletedAt) {
		this.deletedAt = deletedAt;
	}
	
	@Length(min=0, max=255, message="删除人长度必须介于 0 和 255 之间")
	public String getDeletedBy() {
		return deletedBy;
	}

	public void setDeletedBy(String deletedBy) {
		this.deletedBy = deletedBy;
	}
	
}